package com.yonge.cooleshow.mall.common.courier.domain;

import com.yonge.cooleshow.mall.common.courier.enums.CompanyEnum;

import java.util.Date;
import java.util.List;

/**
 * Description 快递运输信息
 *
 * @author liujunchi
 * @date 2022-10-26
 */
public class CourierInfo {

    // 快递公司
    private CompanyEnum company;

    // 快递单号
    private String courierNo;

    // 物流信息
    private List<Logistics> logisticsList;

    public  static class Logistics {
        // 时间
        private Date time;

        //内容
        private String context;


        //行政区域的编码
        private String areaCode;

        //行政区域的名称
        private String areaName;

        //物流状态名称或者高级状态名称
        private String status;

        //快件当前地点
        private String location;

        //行政区域经纬度
        private String areaCenter;

        //行政区域拼音
        private String areaPinYin;

        //高级物流状态值
        private String statusCode;

        public Date getTime() {
            return time;
        }

        public void setTime(Date time) {
            this.time = time;
        }

        public String getContext() {
            return context;
        }

        public void setContext(String context) {
            this.context = context;
        }

        public String getAreaCode() {
            return areaCode;
        }

        public void setAreaCode(String areaCode) {
            this.areaCode = areaCode;
        }

        public String getAreaName() {
            return areaName;
        }

        public void setAreaName(String areaName) {
            this.areaName = areaName;
        }

        public String getStatus() {
            return status;
        }

        public void setStatus(String status) {
            this.status = status;
        }

        public String getLocation() {
            return location;
        }

        public void setLocation(String location) {
            this.location = location;
        }

        public String getAreaCenter() {
            return areaCenter;
        }

        public void setAreaCenter(String areaCenter) {
            this.areaCenter = areaCenter;
        }

        public String getAreaPinYin() {
            return areaPinYin;
        }

        public void setAreaPinYin(String areaPinYin) {
            this.areaPinYin = areaPinYin;
        }

        public String getStatusCode() {
            return statusCode;
        }

        public void setStatusCode(String statusCode) {
            this.statusCode = statusCode;
        }
    }

    public CompanyEnum getCompany() {
        return company;
    }

    public void setCompany(CompanyEnum company) {
        this.company = company;
    }

    public String getCourierNo() {
        return courierNo;
    }

    public void setCourierNo(String courierNo) {
        this.courierNo = courierNo;
    }

    public List<Logistics> getLogisticsList() {
        return logisticsList;
    }

    public void setLogisticsList(List<Logistics> logisticsList) {
        this.logisticsList = logisticsList;
    }
}
